# Uses of Class
org.eclipse.jface.text.projection.ProjectionDocument

Packages that use ProjectionDocument
Package
Description
org.eclipse.jface.text.projection
This package provides an implementation of projection documents.

## Uses of ProjectionDocument in org.eclipse.jface.text.projection

Subclasses of ProjectionDocument in org.eclipse.jface.text.projection
Modifier and Type
Class
Description
`class`
`ChildDocument`
Implementation of a child document based on `ProjectionDocument`.
Methods in org.eclipse.jface.text.projection that return ProjectionDocument
Modifier and Type
Method
Description
`protected ProjectionDocument`
ChildDocumentManager.`createProjectionDocument(IDocument master)`
`protected ProjectionDocument`
ProjectionDocumentManager.`createProjectionDocument(IDocument master)`
Factory method for projection documents.